Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.state
Class PersistenceFileStateHandlerImpl

    java.lang.Object
      com.stc.connector.tcpip.model.state.ObjectSerializableStateHandlerImpl
          com.stc.connector.tcpip.model.state.PersistenceFileStateHandlerImpl

All Implemented Interfaces:
  StateHandler

    public class PersistenceFileStateHandlerImpl

extends ObjectSerializableStateHandlerImpl
implements StateHandler

It is a Persistent StateHandler implementation. Uses local file system as physical persistence.

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2008/03/03 15:36:01 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`PersistenceFileStateHandlerImpl(java.lang.String fullFileName)` Constructor for PersistenceFileStateHandlerImpl.

Method Summary
`java.lang.String` | `getPersistenceFile()` Returns the persistenceFile.
`State` | `getState()` Returns the State.
`void` | `setPersistenceFile(java.lang.String persistenceFile)` Sets the persistenceFile.
`void` | `setState(State state)` Sets the State.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### PersistenceFileStateHandlerImpl

    public PersistenceFileStateHandlerImpl(java.lang.String fullFileName)
                                    throws java.lang.Exception

  Constructor for PersistenceFileStateHandlerImpl.

  Parameters:
    `fullFileName` - It indicates the full name of the file which stores the state.
  Throws:
    `java.lang.Exception`

Method Detail

### getPersistenceFile

    public java.lang.String getPersistenceFile()
                                        throws java.lang.Exception

  Returns the persistenceFile.

  Returns:
    String
  Throws:
    `java.lang.Exception`

### setPersistenceFile

    public void setPersistenceFile(java.lang.String persistenceFile)
                            throws java.lang.Exception

  Sets the persistenceFile.

  Parameters:
    `persistenceFile` - The persistenceFile to set
  Throws:
    `java.lang.Exception`

### getState

    public State getState()
                   throws java.lang.Exception

  Description copied from interface: `StateHandler`
  Returns the State.

  Specified by:
    `getState` in interface `StateHandler`
  Overrides:
    `getState` in class `ObjectSerializableStateHandlerImpl`
  Returns:
    State
  Throws:
    `java.lang.Exception` - on error
  See Also:
    `StateHandler.getState()`

### setState

    public void setState(State state)
                  throws java.lang.Exception

  Description copied from interface: `StateHandler`
  Sets the State.

  Specified by:
    `setState` in interface `StateHandler`
  Overrides:
    `setState` in class `ObjectSerializableStateHandlerImpl`
  Parameters:
    `state` - to set
  Throws:
    `java.lang.Exception` - on error
  See Also:
    `StateHandler.setState(State)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD